This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 1016943 - Review Request: crystal - KDE WM theme (KDE4-compatible version)
Review Request: crystal - KDE WM theme (KDE4-compatible version)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: crystal (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Nemec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 22:03 EDT by Ben Nemec
Modified: 2014-11-24 14:59 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-24 14:59:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ben Nemec 2013-10-08 22:03:47 EDT
Spec URL: http://bnemec.fedorapeople.org/crystal.spec
SRPM URL: http://bnemec.fedorapeople.org/crystal-2.2.1-1.fc19.src.rpm
Description: This package already exists in Fedora, but the version is old and only works with KDE 3, which isn't terribly useful.  This is an updated version of the Crystal KDE WM theme that works with KDE 4.
Fedora Account System Username: bnemec
Comment 1 Christopher Meng 2013-10-09 00:22:46 EDT
Ah I think you should package a new package and then get sponsored and then try to take over this package in Fedora.
Comment 2 Ben Nemec 2013-10-09 15:43:37 EDT
I guess I thought that was what I was doing - the wiki instructions on adding new packages led me to open this bug.  Did you have something else in mind?
Comment 3 Mario Blättermann 2013-10-11 15:41:52 EDT
(In reply to Ben Nemec from comment #2)
> I guess I thought that was what I was doing - the wiki instructions on
> adding new packages led me to open this bug.  Did you have something else in
> mind?

You should open a bug for the existing crystal package, not a review request. The package is outdated and needs some effort to make it work with KDE 4.x. Review requests are only for completely new packages or that ones which have been orphaned or retired for some reasons.
Comment 4 Rex Dieter 2013-10-11 23:51:09 EDT
I think the crystal maintainer isn't very active these days, I assume you'd be interested in helping co-maintain it?  If so, I can help with sponsoring...

re-assigning to crystal component.
Comment 5 Ben Nemec 2013-10-14 11:03:26 EDT
Yes, I would be happy to help maintain it.
Comment 6 Rex Dieter 2013-10-16 09:39:21 EDT
I looked at the existing crystal package in fedora, it is indeed does already work with kde4, even though it is quite old.

Let's give chitlesh at least a few more days to explicitly respond.  

If he does not by the weekend or early next week say, I'll be happy to sponsor you and we can get you into a comaintainer position.
Comment 7 Rex Dieter 2013-10-16 09:43:08 EDT
OK, Ben, I sponsored you, so that part is done.
Comment 8 Ben Nemec 2013-10-18 11:20:00 EDT
Great, thanks!  I'll revisit this next week some time.

FWIW, the existing crystal does install under KDE 4, but it doesn't show up in the window decorations list because 1.0.5 is still from the KDE 3 version of crystal here: http://kde-look.org/content/show.php?content=13969

crystal 2.x is the version that is intended to be used with KDE 4.  Details are here: http://kde-look.org/content/show.php/crystal?content=75140
Comment 9 Rex Dieter 2013-10-18 11:22:54 EDT
Odd, this build
http://koji.fedoraproject.org/koji/buildinfo?buildID=442156
definitely builds and links against kde4 stuff.
Comment 10 Christopher Meng 2014-01-07 00:51:40 EST
Hi Ben,

After 3 months's wait, I think you can step further.

I saw the mail on -devel with no response, and after searching on the Internet, I found his blog is still alive:

https://chitlesh.ch/wordpress/

With contact info on the above:

Email: chitlesh-chitlesh.ch(replace - to @)

Twitter: https://twitter.com/chitlesh
Comment 11 Fedora Admin XMLRPC Client 2014-06-24 14:07:02 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 12 Ben Nemec 2014-11-24 14:59:16 EST
The package has been updated so this bug is no longer needed.

Note You need to log in before you can comment on or make changes to this bug.